std::atomic< wchar_t > Struct Reference
Atomics

`#include <atomic>`

Inherits __atomic_base< wchar_t >.

## Public Types

typedef __atomic_base< wchar_t > | __base_type
typedef wchar_t | __integral_type

## Public Member Functions

constexpr | atomic (__integral_type __i) noexcept
| atomic (const atomic &)=delete
atomic & | operator= (const atomic &) volatile=delete
atomic & | operator= (const atomic &)=delete

## Static Public Attributes

static constexpr bool | is_always_lock_free

## Detailed Description

Explicit specialization for wchar_t.

Definition at line 964 of file atomic.

## Member Typedef Documentation

## __base_type

typedef __atomic_base<wchar_t> std::atomic< wchar_t >::__base_type

Definition at line 967 of file atomic.

## __integral_type

typedef wchar_t std::atomic< wchar_t >::__integral_type

Definition at line 966 of file atomic.

## Constructor & Destructor Documentation

## atomic()

constexpr std::atomic< wchar_t >::atomic | ( | __integral_type | __i | ) |

inline constexpr noexcept

Definition at line 975 of file atomic.

## Member Data Documentation

## is_always_lock_free

constexpr bool std::atomic< wchar_t >::is_always_lock_free

static constexpr

Definition at line 981 of file atomic.

The documentation for this struct was generated from the following file:

- atomic